
import java.awt.image.BufferedImage;

public class Main {

  private final static int THREADS_NUM = 4;
  private final static String IMAGE_PATH = "d:/a1/474.png";

  public static void main(String[] args) {
    BufferedImage mask = new ImageLoader().loadFromFs(IMAGE_PATH);
    for (int t = 0; t < THREADS_NUM; t++) {
      BorderDetectorWorker borderDetectorWorker = new BorderDetectorWorker();
      borderDetectorWorker.setMask(mask);

      Thread thread = new Thread(borderDetectorWorker);
      thread.start();
    }

  }

}
